libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::ConnectionError Class Reference

Exception class for Gda connection errors. More...

Inheritance diagram for Gnome::Gda::ConnectionError:

[legend]
List of all members.

## Public Types

enum | Code { CONNECTION_CONN_OPEN_ERROR, CONNECTION_DO_QUERY_ERROR, CONNECTION_NONEXIST_DSN_ERROR, CONNECTION_NO_CNC_SPEC_ERROR, CONNECTION_NO_PROVIDER_SPEC_ERROR, CONNECTION_OPEN_ERROR, CONNECTION_EXECUTE_COMMAND_ERROR }

## Public Member Functions

Code | code () const
| ConnectionError (GError* gobject)
| ConnectionError (Code error_code, const Glib::ustring& error_message)

## Detailed Description

Exception class for Gda connection errors.

## Member Enumeration Documentation

enum Gnome::Gda::ConnectionError::Code

Enumerator:

  CONNECTION_CONN_OPEN_ERROR |
  CONNECTION_DO_QUERY_ERROR |
  CONNECTION_NONEXIST_DSN_ERROR |
  CONNECTION_NO_CNC_SPEC_ERROR |
  CONNECTION_NO_PROVIDER_SPEC_ERROR |
  CONNECTION_OPEN_ERROR |
  CONNECTION_EXECUTE_COMMAND_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ConnectionError::ConnectionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gnome::Gda::ConnectionError::ConnectionError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::ConnectionError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- connection.h